# $Revision: 1.8 $, $Date: 2009/01/30 16:30:46 $
#
#Conditional build:
%bcond_without	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	WWW-Mechanize
Summary:	Test::WWW::Mechanize - Testing-specific WWW::Mechanize subclass
Summary(pl.UTF-8):	Test::WWW::Mechanize - podklasa WWW::Mechanize służąca do testów
Name:		perl-Test-WWW-Mechanize
Version:	1.24
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	40a7f3c1937fbcccaa07ef5473201514
URL:		http://search.cpan.org/dist/Test-WWW-Mechanize/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Carp-Assert-More
BuildRequires:	perl-Test-LongString
BuildRequires:	perl(Test::Builder::Tester) >= 1.09
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Test::WWW::Mechanize is a subclass of WWW::Mechanize that incorporates
features for web application testing.

%description -l pl.UTF-8
Test::WWW::Mechanize to podlasa WWW::Mechanize zawierająca
funkcjonalność przeznaczoną do testowania aplikacji WWW.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Test/WWW/Mechanize

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Test/WWW/*.pm
%dir %{perl_vendorlib}/Test/WWW/Mechanize
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-WWW-Mechanize.spec,v $
Revision 1.8  2009/01/30 16:30:46  radek
- version 1.24

Revision 1.7  2009/01/11 11:51:19  radek
- release 3: add the %{perl_vendorlib}/Test/WWW/Mechanize dir

Revision 1.6  2008/12/13 19:00:44  qboosh
- pl

Revision 1.5  2008/12/12 10:57:32  radek
- release 2: BR: Test::Builder::Tester

Revision 1.4  2008/12/12 10:53:48  radek
- BR: perl-Test-LongString

Revision 1.3  2008/12/12 10:46:10  radek
- version 1.22

Revision 1.2  2008/09/09 11:03:11  arekm
- release 2

Revision 1.1  2008/08/08 23:19:17  arekm
- initial
